Summary:	The default startup script for the X Window System
Name:		xinitrc
Version:	2.4.21
Release:	%mkrel 4
License:	Public Domain
Group:		System/X11
URL:		http://www.mageia.org/
Source0:	gdm.conf
Source1:	GiveConsole
Source2:	kdm.conf
Source3:	TakeConsole
Source4:	x11-Xresources
Source5:	Xaccess
Source6:	xdm.conf
Source7:	xdm-config
Source8:	xdm-Xsession
Source9:	xinitrc-fixkeyboard
Source11:	xinitrc-RunWM
Source12:	xinitrc-Xclients
Source13:	xinitrc-XIM
Source14:	xinitrc-xinitrc
Source15:	xinitrc-Xmodmap
Source16:	Xresources
Source17:	Xservers
Source18:	Xsession
Source19:	Xsetup_0
Source20:	Xwilling
Source21:	xdm-Xstartup
Source22:	xdm-Xreset
Source23:	XIM.xinit
Requires:	x11-server-xorg
# Because of <basedir>/X11 directory handling
Requires:	x11-server-common >= 1.4.2
Requires:	xdpyinfo
Requires:	xmodmap
Requires:	xsetroot
Requires:	/bin/sh
Requires:	/bin/grep
Requires:	sessreg
Requires:	xrdb
Requires:	xloadimage
Suggests:	s2u
Conflicts:	initscripts < 6.87-2mdk
Conflicts:	gdm < 2.8.0.0
Conflicts:	xdm < 1.1.8
BuildArch:	noarch

%description
The xinitrc package contains the xinitrc file, a script which is used
to configure your X Window System session or to start a window manager.

%prep

%install

R=%{buildroot}/
S=%{_sourcedir}
	
mkdir -p $R%{_sysconfdir}/X11/{xdm,xinit}
install -m755 $S/Xsession $R%{_sysconfdir}/X11/
install -m644 $S/x11-Xresources $R%{_sysconfdir}/X11/Xresources

mkdir $R%{_sysconfdir}/X11/{xinit,xsetup}.d
install -m 755 $S/XIM.xinit $R%{_sysconfdir}/X11/xinit.d/02XIM
mkdir $R%{_sysconfdir}/X11/wmsession.d
mkdir -p $R%{_datadir}/X11/xdm
install -m755 $S/Xwilling $S/Xsetup_0 $S/TakeConsole $S/GiveConsole $R%{_datadir}/X11/xdm
ln -s ../../..%{_datadir}/X11/xdm/{Xwilling,Xsetup_0,TakeConsole,GiveConsole} $R%{_sysconfdir}/X11/xdm
install -m644 $S/{xdm-config,Xservers,Xresources,Xaccess} $R%{_sysconfdir}/X11/xdm
ln -s ../../../..%{_sysconfdir}/X11/xdm/{xdm-config,Xservers,Xresources,Xaccess} $R%{_datadir}/X11/xdm
install -m755 $S/xdm-Xsession $R%{_datadir}/X11/xdm/Xsession

install -m755 $S/xdm-Xreset $R%{_datadir}/X11/xdm/Xreset
install -m755 $S/xdm-Xstartup $R%{_datadir}/X11/xdm/Xstartup
ln -s ../../..%{_datadir}/X11/xdm/{Xsession,Xreset,Xstartup} $R%{_sysconfdir}/X11/xdm

install -m644 $S/xinitrc-Xmodmap $R%{_sysconfdir}/X11/Xmodmap
for i in xinitrc Xclients fixkeyboard XIM; do install -m755 $S/xinitrc-$i $R%{_sysconfdir}/X11/xinit/$i;done

mkdir -p $R%{_bindir}/
install -m755 $S/xinitrc-RunWM $R%{_bindir}/RunWM
for i in Fvwm95 MWM AfterStep WindowMaker; do ln -sf RunWM $R%{_bindir}/RunWM.$i;done

mkdir -p $R%{_datadir}/X11/dm.d
install -m644 $S/kdm.conf $R%{_datadir}/X11/dm.d/10kdm.conf
install -m644 $S/gdm.conf $R%{_datadir}/X11/dm.d/20gdm.conf
install -m644 $S/xdm.conf $R%{_datadir}/X11/dm.d/30xdm.conf

%files
%config(noreplace) %{_sysconfdir}/X11/Xmodmap
%config(noreplace) %{_sysconfdir}/X11/Xresources
%config(noreplace) %{_sysconfdir}/X11/xdm/xdm-config
%config(noreplace) %{_sysconfdir}/X11/xdm/Xservers
%config(noreplace) %{_sysconfdir}/X11/xdm/Xresources
%config(noreplace) %{_sysconfdir}/X11/xdm/Xaccess
%{_sysconfdir}/X11/xdm
%dir %{_sysconfdir}/X11/wmsession.d
%dir %{_sysconfdir}/X11/xinit
%dir %{_sysconfdir}/X11/xinit.d
%dir %{_sysconfdir}/X11/xsetup.d
%{_sysconfdir}/X11/Xsession
%{_sysconfdir}/X11/xinit.d/02XIM
%{_sysconfdir}/X11/xinit/XIM
%{_sysconfdir}/X11/xinit/Xclients
%{_sysconfdir}/X11/xinit/fixkeyboard
%{_sysconfdir}/X11/xinit/xinitrc
%{_bindir}/*
%{_datadir}/X11/dm.d
%{_datadir}/X11/xdm


%changelog

* Wed Apr 18 2012 dams <dams> 2.4.21-4.mga2
+ Revision: 231370
- remove useless script for KDE3
- check if default.jpg is available before to try to use it (xdm)

* Tue Apr 17 2012 dams <dams> 2.4.21-3.mga2
+ Revision: 231234
- Add the Mageia background on 'xdm'

* Thu Mar 01 2012 colin <colin> 2.4.21-2.mga2
+ Revision: 216412
- Remove kdm3.. We don't ship kde3

* Tue Sep 06 2011 tv <tv> 2.4.21-1.mga2
+ Revision: 139837
- sync with mdv:
  o Xsession: Remove freetemp call
    (There's no /usr/bin/freetemp in mga, so this is useless)
  o Remove Mod_Meta_L_Disable
    It seems this was a feature of keyboard.pm (look at the drakx svn log and
    ChangeLog), but I just can't find a way to set it with the current code (and
    yes, I grep'ed a lot of code).  If we ever re-add this script, we should add it
    to the package that uses it, not to xinitrc (or even consider implementing the
    script somehow else, since it runs every time every Mandriva user logs in).

* Fri Jan 21 2011 ennael <ennael> 2.4.19-28.mga1
+ Revision: 30198
- imported package xinitrc


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.19-28mdv2011.0
+ Revision: 608214
- rebuild

* Wed Jun 16 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.4.19-27mdv2010.1
+ Revision: 548162
- chksession now prints "default", not "Default"

* Tue Apr 20 2010 Frederic Crozat <fcrozat@mandriva.com> 2.4.19-26mdv2010.1
+ Revision: 537221
- Ensure dpi is set to 96 in both xdm/Xresources and Xresources

* Tue Apr 06 2010 Funda Wang <fwang@mandriva.org> 2.4.19-25mdv2010.1
+ Revision: 532085
- should not force LC_CTYPE for zh_TW locale

* Mon Mar 29 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 2.4.19-24mdv2010.1
+ Revision: 528834
- Remove Xmodmap definitions (fixes #58454)
  These definitions are undocumented and break some systems.
  Looks like the new gdm uses xmodmap, which triggers the bug.
  On my system, keycode 117 is PageDown ("Next") and 117 is End ("End")

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.4.19-23mdv2010.1
+ Revision: 524447
- rebuilt for 2010.1

* Tue Sep 15 2009 Frederic Crozat <fcrozat@mandriva.com> 2.4.19-22mdv2010.0
+ Revision: 443016
- Suggests s2u, it isn't needed by non graphical install

* Wed Jun 10 2009 Frederic Crozat <fcrozat@mandriva.com> 2.4.19-21mdv2010.0
+ Revision: 384889
- remove qt3 japanese hack, moved to qt3 package

* Wed Jun 10 2009 Frederic Crozat <fcrozat@mandriva.com> 2.4.19-20mdv2010.0
+ Revision: 384838
- Add support for ck-xinit-session (register to consolekit for vncserver, xdm) (Fedora)
- fix help file path
- disable cpp when merging system X resource file (Fedora)
- fix umask for .xsession-errors file (Fedora)

* Tue Mar 24 2009 Frederic Crozat <fcrozat@mandriva.com> 2.4.19-19mdv2009.1
+ Revision: 360879
- Do not set default background to #21449c anymore, black is enough now

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.4.19-18mdv2009.1
+ Revision: 351058
- rebuild

* Tue Sep 23 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.4.19-17mdv2009.0
+ Revision: 287518
- Add compatibility simlinks from /etc/X11/xdm to /usr/share/X11/xdm .

* Thu Sep 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 2.4.19-16mdv2009.0
+ Revision: 280005
- fix path to GiveConsole for Xstartup script
- spec file clean

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 2.4.19-15mdv2009.0
+ Revision: 273295
- Bump DPI to 96 to be consistent with GNOME value

* Mon Jul 21 2008 Olivier Blin <oblin@mandriva.com> 2.4.19-14mdv2009.0
+ Revision: 239402
- xdm is in the xdm package, not in xorg-x11 anymore

* Mon Jul 14 2008 Ander Conselvan de Oliveira <ander@mandriva.com> 2.4.19-13mdv2009.0
+ Revision: 234928
- Use only MAGIC-COOKIE authentication. Some cliente were not able to connect using XDM-AUTHENTICATION.

* Fri Jun 20 2008 Pixel <pixel@mandriva.com> 2.4.19-12mdv2009.0
+ Revision: 227506
- adapt xdm-config and xdm-Xreset to lookup non conf files in /usr/share/X11/xdm
  (is it really worth it?)
- move back xdm files to /usr/share/X11/xdm (since xdm expects them there now),
  except conf files which are symlinked for /usr/share/X11/xdm to /etc/X11/xdm

* Fri Jun 20 2008 Pixel <pixel@mandriva.com> 2.4.19-11mdv2009.0
+ Revision: 227414
- fix typo introduced in 2.4.18-1mdv (2007) when moving from xinitrc in a tarball to plain spec
- dm.d/*.conf are no more config files
- move back everything except dm.d to /etc/X11

* Fri May 23 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.4.19-10mdv2009.0
+ Revision: 210728
- Add Conflicts with xdm < 1.1.8 to allow proper rpm upgrade from older
  Mandriva releases.

* Wed May 14 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.4.19-9mdv2009.0
+ Revision: 207242
- Install configuration files directly in %%{_datadir}/X11.

* Mon May 05 2008 Helio Chissini de Castro <helio@mandriva.com> 2.4.19-8mdv2009.0
+ Revision: 201561
- kdm 4 will call chksession as a option with capital K. lower k will be kdm 3

* Mon May 05 2008 Helio Chissini de Castro <helio@mandriva.com> 2.4.19-7mdv2009.0
+ Revision: 201388
- Make kdm3 available too

* Fri Jan 25 2008 Paulo Andrade <pcpa@mandriva.com.br> 2.4.19-6mdv2008.1
+ Revision: 158078
- Address bug http://qa.mandriva.com/show_bug.cgi?id=37087
  This isn't the better possible fix, but is enough for most standard
  installs. The proper fix would require changes to initscripts, to avoid
  some race conditions and the X Server taking control of a VT before
  init spawns mingetty to handle it.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 30 2007 Funda Wang <fwang@mandriva.org> 2.4.19-5mdv2008.0
+ Revision: 93976
- fix bug#31898

* Thu Sep 06 2007 Frederic Crozat <fcrozat@mandriva.com> 2.4.19-4mdv2008.0
+ Revision: 81120
- Fix Xsession to correctly detect when running under GDM and not reset background in that case

* Wed May 30 2007 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 2.4.19-3mdv2008.0
+ Revision: 32962
- changing xdm configuration: {Give,Take}Console scripts should not include
  calls to sessreg, since they're used by other login managers which have
  their own sessreg call or similar mechanism. Now xdm uses the standard,
  documented files: Xstartup and Xreset as start/reset files and inside
  them we put calls to sessreg.
  Besides, sessreg has to be exec'ed, otherwise the call has no effect
  since it registers the parent PID on {u,w}tmp files.
  Closes: #28129

* Mon May 07 2007 Thierry Vignaud <tv@mandriva.org> 2.4.19-2mdv2008.0
+ Revision: 24574
- fix description

* Mon May 07 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.4.19-1mdv2008.0
+ Revision: 24097
- Specify color for color app defaults. (#30514)


* Wed Mar 07 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.4.18-3mdv2007.0
+ Revision: 134372
- the logic in Mod_Meta_L_Disable was inverted. (#21600)

* Mon Mar 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.4.18-2mdv2007.1
+ Revision: 133252
- Xsetup_0 should call kde3.sh not kde.sh (#29096)

* Fri Feb 09 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.4.18-1mdv2007.1
+ Revision: 118612
- We don't need a xinitrc.spec under SOURCES
- Fix Login text display in xdm (#14060).
- xinitrc won't land on CVS anymore. All changes should be done directly to the
  xinitrc's files in svn.

  + Olivier Blin <oblin@mandriva.com>
    - Import xinitrc

* Tue Aug 29 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.4.17-3mdv2007.0
- Xsession requires xrdb (thanks Laurent for poiting that)
- GiveConsole requires sessreg (#23370)

* Fri Jun 16 2006 Frederic Crozat <fcrozat@mandriva.com> 2.4.17-2mdv2007.0
- Add missing dependencies

* Wed May 17 2006 Gustavo Pichorim Boiko <boiko@mandriva.com: 2.4.17-1mdk
- Fixed dependencies

* Wed May 17 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 2.4.16-1mdk
- Fixed package to work in the new X.org package layout

* Wed Nov 16 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.4.15-1mdk
- remove X defaults for emacs (Nick Brown, #10168)

* Mon Jun 13 2005 Frederic Lepied <flepied@mandriva.com> 2.4.14-1mdk
- Xsession: don't handle ssh-agent here (bug #12750).
- Xresources: removed resources for emacs (bug #10168).
- Xsetup_0: don't set the background (bug #15758).
- gdm.conf: fix gdm path (bug #16392).
- xinitrc-fixkeyboard: detect X.Org too (bug #12556).

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 2.4.13-1mdk
- removed DISPLAYMANAGER field in kdm, gdm and xdm config files.

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 2.4.12.1-1mdk
- kdm.conf: fixed package name.
- fixed permissions and config file flags.

* Tue May 31 2005 Frederic Lepied <flepied@mandriva.com> 2.4.12-1mdk
- Xsession: fixed default desktop case.
- provide the prefdm config files for xdm, kdm and gdm.

* Wed Mar 09 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.11-3mdk 
- Set BROWSER to www-browser only (if not set)

* Fri Nov 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.11-2mdk
- Really force dpi

* Sat Oct 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.11-1mdk
- Force Xft.dpi, since we still dpi detection is often wrong (Mdk bug #11538)

* Sat Sep 04 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.4.10-1mdk
- fixed syntax error (bug #11157)

* Thu Mar 11 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.4.9-1mdk
- Xsetup_0: use /etc/X11/xsetup.d

